@use "sass:math";

@import '../../styles/variables';
@import '../../styles/mixins';

.cui-badge {
  @include cui-text(xs, 600);
  @include cui-ellipsis();
  @include cui-no-select();
  display: inline-flex;
  align-items: center;
  padding: .25rem .5rem;
  border-radius: $cui-badge-border-radius;
  text-transform: uppercase;
  letter-spacing: .02em;
  white-space: nowrap;
  vertical-align: middle;

  .cui-badge-icon-prefix { margin-right: .25rem; }
  .cui-badge-icon-suffix { margin-left: .25rem; }
  .badge-content { @include cui-ellipsis(); }

  &.cui-round {
    border-radius: 10rem;
  }

  // ----- modes

  @mixin mode($mode) {
    &[data-cui-mode='#{$mode}'] {
      background-color: cui-color($mode, bg);
      color: cui-color($mode, fill);

      @if $mode == ghost {
        box-shadow: inset 0 0 0 1px cui-color(ghost, bg-active);
      }
    }
  }

  @include mode('primary');
  @include mode('secondary');
  @include mode('ghost');
  @include mode('note');
  @include mode('info');
  @include mode('success');
  @include mode('warning');
  @include mode('error');
}
